# Creates a comment for a sender in project

Creates a comment for a sender in project.

Endpoint: POST /v1/projects/{projectId}/whatsapp/senders/{senderId}/comments
Version: 1.2.100
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `senderId` (string, required)
    The unique ID of the sender.

## Request fields (application/json):

  - `comment` (string, required)

## Response 201 fields (application/json):

  - `type` (string, required)

  - `comment` (string, required)

  - `created` (string)

## Response 400 fields (application/json):

  - `body` (ProjectNotInitializedErrorTitle (object) or InvalidInputErrorTitle (object) or InvalidPayloadErrorTitle (object)) — one of:
    - ProjectNotInitializedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
      - `message` (string)
        Human readable message.
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
    - InvalidInputErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
      - `message` (string)
        Human readable message.
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
      - `additionalInformation` (object)
        Additional information for error.
    - InvalidPayloadErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
      - `message` (string)
        Human readable message.
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "sender_not_found"

  - `message` (string)
    Human readable message.
    Example: "Sender not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the parameters are correct."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


